#
# spec file for package ghc-fay
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%global pkg_name fay
Name:           ghc-%{pkg_name}
Version:        0.23.1.12
Release:        7.16
Summary:        A compiler for Fay, a Haskell subset that compiles to JavaScript
License:        BSD-3-Clause
Group:          Development/Languages/Other
Url:            https://hackage.haskell.org/package/%{pkg_name}
Source0:        https://hackage.haskell.org/package/%{pkg_name}-%{version}/%{pkg_name}-%{version}.tar.gz
Source1:        https://hackage.haskell.org/package/%{pkg_name}-%{version}/revision/6.cabal#/%{pkg_name}.cabal
BuildRequires:  chrpath
BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-aeson-devel
BuildRequires:  ghc-base-compat-devel
BuildRequires:  ghc-bytestring-devel
BuildRequires:  ghc-containers-devel
BuildRequires:  ghc-data-default-devel
BuildRequires:  ghc-data-lens-light-devel
BuildRequires:  ghc-directory-devel
BuildRequires:  ghc-filepath-devel
BuildRequires:  ghc-ghc-paths-devel
BuildRequires:  ghc-haskell-src-exts-devel
BuildRequires:  ghc-language-ecmascript-devel
BuildRequires:  ghc-mtl-compat-devel
BuildRequires:  ghc-mtl-devel
BuildRequires:  ghc-optparse-applicative-devel
BuildRequires:  ghc-process-devel
BuildRequires:  ghc-rpm-macros
BuildRequires:  ghc-safe-devel
BuildRequires:  ghc-sourcemap-devel
BuildRequires:  ghc-split-devel
BuildRequires:  ghc-spoon-devel
BuildRequires:  ghc-syb-devel
BuildRequires:  ghc-text-devel
BuildRequires:  ghc-time-devel
BuildRequires:  ghc-transformers-compat-devel
BuildRequires:  ghc-transformers-devel
BuildRequires:  ghc-traverse-with-class-devel
BuildRequires:  ghc-type-eq-devel
BuildRequires:  ghc-uniplate-devel
BuildRequires:  ghc-unordered-containers-devel
BuildRequires:  ghc-utf8-string-devel
BuildRequires:  ghc-vector-devel
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Fay is a proper subset of Haskell which is type-checked with GHC, and compiled
to JavaScript. It is lazy, pure, has a Fay monad, an FFI, tail-recursion
optimization (experimental), and support for cabal packages.

/Documentation/

See <https://github.com/faylang/fay/wiki>

/Examples/

See the examples directory and
<https://github.com/faylang/fay/wiki#fay-in-the-wild> .

%package devel
Summary:        Haskell %{pkg_name} library development files
Group:          Development/Libraries/Other
Requires:       %{name} = %{version}-%{release}
Requires:       ghc-compiler = %{ghc_version}
Requires(post): ghc-compiler = %{ghc_version}
Requires(postun): ghc-compiler = %{ghc_version}

%description devel
This package provides the Haskell %{pkg_name} library development files.

%prep
%setup -q -n %{pkg_name}-%{version}
cp -p %{SOURCE1} %{pkg_name}.cabal

%build
%ghc_lib_build

%install
%ghc_lib_install
%ghc_fix_rpath %{pkg_name}-%{version}

%post devel
%ghc_pkg_recache

%postun devel
%ghc_pkg_recache

%files -f %{name}.files
%defattr(-,root,root,-)
%doc LICENSE
%{_bindir}/%{pkg_name}
%dir %{_datadir}/%{pkg_name}-%{version}
%dir %{_datadir}/%{pkg_name}-%{version}/js
%dir %{_datadir}/%{pkg_name}-%{version}/src
%dir %{_datadir}/%{pkg_name}-%{version}/src/Fay
%{_datadir}/%{pkg_name}-%{version}/js/runtime.js
%{_datadir}/%{pkg_name}-%{version}/src/Fay/FFI.hs

%files devel -f %{name}-devel.files
%defattr(-,root,root,-)

%changelog
* Wed Aug 17 2016 psimons@suse.com
- Update to version 0.23.1.12 revision 6 with cabal2obs.
* Sun Jul 10 2016 psimons@suse.com
- Update to version 0.23.1.12 revision 5 with cabal2obs.
